using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            string prvi = Console.ReadLine();
            string drugi = Console.ReadLine();
            string s = "";
            bool dodajePrvom = true;
            if (prvi.Length > drugi.Length) dodajePrvom = false;
            while(prvi.Length != drugi.Length)
            {
                if (dodajePrvom) prvi = " " + prvi;
                else drugi = " " + drugi;
            }
            int n = Math.Max(prvi.Length, drugi.Length);
            for(int i = 0; i < n; i++)
            {
                if (prvi[i] == ' ') s += drugi[i];
                else if (drugi[i] == ' ') s += prvi[i];
                else if (prvi[i] == drugi[i]) s += prvi[i].ToString() + prvi[i].ToString();
                else
                {
                    s += Math.Max(Convert.ToInt32(prvi[i].ToString()), Convert.ToInt32(drugi[i].ToString()));
                }
            }
            Console.WriteLine(s);
        }
    }
}